Applications
Get application by ID
Returns detailed information about a specific application
GET
/
application
/
{applicationid}
Get application by ID
curl --request GET \
--url https://jobaffinity.fr/restapi/v1/application/{applicationid} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://jobaffinity.fr/restapi/v1/application/{applicationid}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://jobaffinity.fr/restapi/v1/application/{applicationid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_self": "<string>",
"_schema": "<string>",
"id": 123,
"date": "2023-11-07T05:31:56Z",
"route": "<string>",
"latest_cv_url": "<string>",
"candidate": {
"id": 123,
"_self": "<string>",
"applications": {
"_self": "<string>"
},
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com"
},
"source": {
"id": 123,
"name": "<string>",
"posting_service": {
"id": 123,
"name": "<string>"
}
},
"job": {
"_self": "<string>",
"id": 123,
"title": "<string>",
"applications": {
"_self": "<string>"
}
},
"step": {
"id": 123,
"name": "<string>",
"date": "2023-12-25"
},
"steps": {
"items": [
{
"id": 123,
"name": "<string>",
"date": "2023-12-25",
"user": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com"
}
}
],
"latest_cv_url": "<string>"
},
"notes": {
"_self": "<string>"
}
}{
"_status": "INVALID",
"error": "<string>"
}Authorizations
HTTP Basic Authentication with API credentials
Path Parameters
Application ID
Response
Application details
URL of the application resource
Available options:
OK, INVALID Application identifier
Application submission date
Application route (how the candidate applied)
URL to download the latest CV (may redirect)
Inline candidate summary
Show child attributes
Show child attributes
Source of the application
Show child attributes
Show child attributes
Inline job summary
Show child attributes
Show child attributes
Current step of the application
Show child attributes
Show child attributes
Full step history of the application (available in application detail, not in collection listings)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get application by ID
